%define major 1
%define libname %mklibname audit %{major}
%define develname %mklibname -d audit

%define auparsemajor 0
%define auparselibname %mklibname auparse %{auparsemajor}
%define auparsedevelname %mklibname -d auparse

Summary:	User-space tools for Linux 2.6 kernel auditing
Name:		audit
Version:	2.3.2
%define subrel 4
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Base
URL:		http://people.redhat.com/sgrubb/audit/
Source0:	http://people.redhat.com/sgrubb/audit/audit-%{version}.tar.gz
BuildRequires:	gettext-devel
BuildRequires:	glibc-devel >= 2.6
BuildRequires:	intltool
BuildRequires:	libcap-ng-devel
BuildRequires:	libtool
BuildRequires:	openldap-devel
BuildRequires:	prelude-devel >= 0.9.16
BuildRequires:	python-devel
BuildRequires:	swig
BuildRequires:	tcp_wrappers-devel
Requires(preun): rpm-helper
Requires(post): rpm-helper
Requires:	tcp_wrappers

%description
The audit package contains the user space utilities for storing and searching
the audit records generate by the audit subsystem in the Linux 2.6 kernel.

%package -n	%{libname}
Summary:	Main libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the main libraries for %{name}.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libaudit-devel = %{version}-%{release}
Provides:	audit-devel = %{version}-%{release}
Provides:	audit-libs-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%package -n	%{auparselibname}
Summary:	Main libraries for %{name}
Group:		System/Libraries

%description -n	%{auparselibname}
This package contains the main auparse libraries for %{name}.

%package -n	%{auparsedevelname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{auparselibname} = %{version}-%{release}
Provides:	auparse-devel = %{version}-%{release}


%description -n	%{auparsedevelname}
This package contains development files for %{name}.

%package -n	python-audit
Summary:	Python bindings for %{name}
Group:		Development/Python

%description -n	python-audit
This package contains python bindings for %{name}.

%package -n	audispd-plugins
Summary:	Plugins for the audit event dispatcher
Group:		System/Base
Requires:	%{name} = %{version}
Requires:	openldap

%description -n	audispd-plugins
The audispd-plugins package provides plugins for the real-time interface to the
audit system, audispd. These plugins can do things like relay events to remote
machines or analyze events for suspicious behavior.

%prep

%setup -q


find -type d -name ".libs" | xargs rm -rf

#fix build with new automake
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*


%build
%serverbuild
autoreconf -f -v --install

%configure2_5x \
    --disable-static \
    --with-prelude \
    --with-libwrap \
    --enable-gssapi-krb5=no \
    --with-libcap-ng=yes \
    --enable-systemd

%make

%install
install -d %{buildroot}%{_var}/log/audit
install -d %{buildroot}%{_libdir}/audit
install -d %{buildroot}%{_var}/spool/audit

%makeinstall_std

# uneeded files
find %{buildroot} -name "*.la" -delete

%post
# Copy default rules into place on new installation
if [ ! -e /etc/audit/audit.rules ] ; then
	cp /etc/audit/rules.d/audit.rules /etc/audit/audit.rules
fi

%_tmpfilescreate %{name}

## This hack is because %_post_service auditd.service doesn't work . So let's just enable and start 
## the service manually after installation. This needs to be revisited after our %_post_service has been adjusted
systemctl enable -q auditd.service
systemctl start  -q auditd.service
##%_post_service auditd.service

%postun
systemctl disable -q auditd.service
systemctl stop -q auditd.service
## %_preun_service auditd

%files
%doc README contrib/capp.rules contrib/nispom.rules contrib/lspp.rules contrib/stig.rules init.d/auditd.cron
%attr(640,root,root) %{_unitdir}/auditd.service
%attr(750,root,root) %dir %{_libexecdir}/initscripts/legacy-actions/auditd
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/resume
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/rotate
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/stop
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/restart
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/condrestart
%attr(0750,root,root) %dir %{_sysconfdir}/audit
%attr(0750,root,root) %dir %{_sysconfdir}/audisp
%attr(0750,root,root) %dir %{_sysconfdir}/audisp/plugins.d
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audit/auditd.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audit/rules.d/audit.rules
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audispd.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/af_unix.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/syslog.conf
%attr(0750,root,root) %{_sbindir}/audispd
%attr(0750,root,root) %{_sbindir}/auditctl
%attr(0750,root,root) %{_sbindir}/auditd
%attr(0750,root,root) %{_sbindir}/autrace
%attr(0755,root,root) %{_sbindir}/aureport
%attr(0755,root,root) %{_sbindir}/ausearch
%attr(0755,root,root) %{_sbindir}/augenrules
%attr(0755,root,root) %{_bindir}/aulastlog
%attr(0755,root,root) %{_bindir}/aulast
%attr(0755,root,root) %{_bindir}/ausyscall
%attr(7555,root,root) %{_bindir}/auvirt
%attr(0644,root,root) %{_mandir}/man5/audispd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/auditd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/ausearch-expression.5*
%attr(0644,root,root) %{_mandir}/man7/audit.rules.7*
%attr(0644,root,root) %{_mandir}/man8/audispd.8*
%attr(0644,root,root) %{_mandir}/man8/auditctl.8*
%attr(0644,root,root) %{_mandir}/man8/auditd.8*
%attr(0644,root,root) %{_mandir}/man8/aulast.8*
%attr(0644,root,root) %{_mandir}/man8/aulastlog.8*
%attr(6444,root,root) %{_mandir}/man8/auvirt.8.*
%attr(6444,root,root) %{_mandir}/man8/augenrules.8*
%attr(0644,root,root) %{_mandir}/man8/aureport.8*
%attr(0644,root,root) %{_mandir}/man8/ausearch.8*
%attr(0644,root,root) %{_mandir}/man8/ausyscall.8*
%attr(0644,root,root) %{_mandir}/man8/autrace.8*
%attr(0700,root,root) %dir %{_var}/log/audit

%files -n %{libname}
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/libaudit.conf
%{_libdir}/libaudit.so.%{major}*
%attr(0644,root,root) %{_mandir}/man5/libaudit.conf.5*

%files -n %{develname}
%doc ChangeLog contrib/skeleton.c contrib/plugin
%{_libdir}/libaudit.so
%{_includedir}/libaudit.h
%{_mandir}/man3/audit_*
%{_mandir}/man3/ausearch_*
%{_mandir}/man3/get_auditfail_action.3*
%{_mandir}/man3/set_aumessage_mode.3*

%files -n %{auparselibname}
%{_libdir}/libauparse.so.%{auparsemajor}*

%files -n %{auparsedevelname}
%doc ChangeLog contrib/skeleton.c contrib/plugin
%{_libdir}/libauparse.so
%{_includedir}/auparse-defs.h
%{_includedir}/auparse.h
%{_mandir}/man3/auparse_*

%files -n python-audit
%{py_platsitedir}/*.so
%{py_platsitedir}/audit.p*

%files -n audispd-plugins
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audisp-prelude.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audisp-remote.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/audispd-zos-remote.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/au-prelude.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/au-remote.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/zos-remote.conf
%attr(0750,root,root) %{_sbindir}/audispd-zos-remote
%attr(0750,root,root) %{_sbindir}/audisp-prelude
%attr(0750,root,root) %{_sbindir}/audisp-remote
%attr(0644,root,root) %{_mandir}/man5/audisp-prelude.conf.5*
%attr(0644,root,root) %{_mandir}/man5/audisp-remote.conf.5*
%attr(0644,root,root) %{_mandir}/man5/zos-remote.conf.5*
%attr(0644,root,root) %{_mandir}/man8/audispd-zos-remote.8*
%attr(0644,root,root) %{_mandir}/man8/audisp-prelude.8*
%attr(0644,root,root) %{_mandir}/man8/audisp-remote.8*
%attr(0750,root,root) %dir %{_var}/spool/audit


%changelog
* Thu Apr 03 2014 spuhler <spuhler> 2.3.2-2.4.mga4
+ Revision: 611436
- changed %%preun to %%postun (same as in Cauldron)
  * we can only stop it after removing package
- removed post and preun macros and replaced them with individual commands
  * the post and preun macros don't work in this pacakges
- backport changes from Cauldron(mga5)
  * Switch to systemd units (sysvinit script was broken due to LSB patch removal mga#12977)
  * Remove /-vs-/usr complexity now that usrmove is completed
- this fixes bug #12977

* Sat Oct 19 2013 umeabot <umeabot> 2.3.2-2.mga4
+ Revision: 532572
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 spuhler <spuhler> 2.3.2-1.mga4
+ Revision: 468634
- removed un-needed mkdir m4 line in spec
- upgrade to ver 2.3.2
- removed autdated patches

* Wed Jun 26 2013 wally <wally> 2.2.3-2.mga4
+ Revision: 447289
- drop old conflicts/obsoletes
- drop unneeded requires
- disable static build
- clean .spec a bit

* Sun Mar 31 2013 luigiwalser <luigiwalser> 2.2.3-1.mga3
+ Revision: 406904
- 2.2.3
- fix clone syscall interpretation (patch1 from fedora)

* Fri Jan 11 2013 umeabot <umeabot> 2.2.2-5.mga3
+ Revision: 346586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 tmb <tmb> 2.2.2-4.mga3
+ Revision: 344010
- dont own _libdir/audit, it belongs to glibc

* Sat Jan 05 2013 spuhler <spuhler> 2.2.2-3.mga3
+ Revision: 339175
- bumped rel to get it rebuilt against new glibc

* Fri Jan 04 2013 spuhler <spuhler> 2.2.2-2.mga3
+ Revision: 338517
- bumped rel to make it rebuild
- did some cleaning on spec file

* Fri Jan 04 2013 spuhler <spuhler> 2.2.2-1.mga3
+ Revision: 338501
- upgrade to 2.2.2

* Mon Dec 31 2012 wally <wally> 2.2.1-2.mga3
+ Revision: 336503
- fix build with new automake 1.13

* Fri Sep 07 2012 spuhler <spuhler> 2.2.1-1.mga3
+ Revision: 289145
- upgrade to 2.2.1

* Thu Nov 24 2011 pterjan <pterjan> 2.1.3-1.mga2
+ Revision: 171751
- Update to 2.1.3

* Thu Sep 08 2011 tv <tv> 2.1.2-1.mga2
+ Revision: 141589
- fix LSB end tag
- new release

* Wed Apr 13 2011 tv <tv> 2.0.6-1.mga1
+ Revision: 84099
- new release

* Mon Jan 17 2011 pterjan <pterjan> 2.0.5-3.mga1
+ Revision: 21346
- Rebuild for python 2.7

* Sun Jan 09 2011 pterjan <pterjan> 2.0.5-2.mga1
+ Revision: 4524
- Drop obsolete requires
- Get the 2.0.5 update
- Get the 2.0.5 update
- Drop obsolete stuff
- imported package audit

